﻿using Microsoft.AspNetCore.Components;
using Npgsql;
using System.Data;
using WF_WebAdmin.Model;
using System.Collections.Generic;
using System;
using System.Threading.Tasks;
using System.Linq;
using WF_WebAdmin.Service;
using Microsoft.Extensions.Configuration.UserSecrets;


namespace WF_WebAdmin.Pages
{
    public partial class ValidQuote
    {
        


        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        private List<Quote> quotes;
        private QuoteServiceStub quoteService;
        private QuoteServiceStub quoteService2;


        protected override async Task OnInitializedAsync()
        {
            quoteService = new QuoteServiceStub($"fake-dataValidQuote.json");
            quotes = await quoteService.GetQuoteJson();

        }

        private void OnValidButton(Quote quote)
        {
            ValidateQuote(quote);
        }

        private void ValidateQuote(Quote quote)
        {
            Console.WriteLine($"Quote {quote.Id} validated!");
 
            
            if ( quote != null )
            {

                quotes.RemoveAll(u => u.Id == quote.Id);

                quoteService = new QuoteServiceStub($"fake-dataQuote.json");
                quoteService.AddQuoteJson( quote );

                
                quoteService2 = new QuoteServiceStub($"fake-dataValidQuote.json");
                quoteService2.DeleteQuoteJson(quote.Id);
              

            }
            
        }

        private void OnRejectButton(Quote quote)
        {
            RejectQuote(quote);
        }

        private void RejectQuote(Quote quote)
        {
            Console.WriteLine($"Quote {quote.Id} rejected!");

            if ( quote != null ) {

                quotes.RemoveAll(u => u.Id == quote.Id);
                quoteService2 = new QuoteServiceStub($"fake-dataValidQuote.json");
                quoteService2.DeleteQuoteJson(quote.Id);

            }

        }
    }

}